API docs

Domains

Get domain records for a company.

Returns a paginated list of domains and websites associated with the specified company.

Endpoint

GET /api/v1/companies/:company_id/domains

Parameters

ParameterTypeInDescription
company_idintegerpathThe unique identifier of the company.
pageintegerbodyPage number (default: 1).
limitintegerbodyRecords per page (default: 100).

Code Examples

Get domains

import requests

url = 'https://statsnet.co/api/v1/companies/12345/domains'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)

Response

Success response

{
  "domains": [
    {
      "id": 1,
      "domain_name": "example.kz",
      "name": "Example Company LLP",
      "organization_name": "Example Company LLP",
      "street_address": "Abay Avenue 52",
      "city": "Almaty",
      "state": "Almaty",
      "postal_code": "050000",
      "country": "KZ",
      "nic_handle": "EXAMPLE-KZ",
      "phone_number": "+7 727 000 0000",
      "fax_number": "",
      "email_address": "info@example.kz",
      "primary_server": "ns1.example.kz",
      "primary_ip_address": "192.0.2.10",
      "secondary_server": "ns2.example.kz",
      "secondary_ip_address": "192.0.2.11",
      "domain_created": "2020-01-01",
      "last_modified": "2024-01-01",
      "domain_status": "ok",
      "registar_created": "2020-01-01",
      "current_registar": "KazNIC",
      "contacts": ["info@example.kz"],
      "matched_contacts": ["info@example.kz"]
    }
  ],
  "total": 1,
  "pagination_total": 1,
  "pagination_offset": 0
}

Error Handling

Error response (403)

{
  "status": 403,
  "message": "access denied"
}

Payment required (402)

{
  "status": 402,
  "message": "payment required"
}

Quota exhausted (429)

{
  "status": 429,
  "message": "quota exhausted"
}